// SPDX-License-Identifier: MIT
pragma solidity >=0.8.0 <0.9.0;

/**
 * @dev IAdditionalSecurityModule flow Interface.
 */
interface IAdditionalSecurityModule {
    function verifyRequestFromSource(
        bytes memory srcContractAddress,
        string memory srcChainId,
        uint64 srcChainType,
        uint64 eventNonce,
        bool isAtomic,
        uint64 requestTimestamp,
        bytes[] memory payloads,
        bytes[] memory handlers
    ) external returns (bool);

    function verifyRequestFromRouter(
        string memory routerBridgeAddress,
        uint64 outboundTxNonce,
        bool isAtomic,
        uint64 requestTimestamp,
        bytes[] memory payloads,
        bytes[] memory handlers
    ) external returns (bool);
}
